[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[EP-tech] EPrints and Ubuntu 18.04 LTS



Hi all,

The last few days I have been working on building a Debian package that
works on Ubuntu 18.04 LTS. ?It looks like Ubuntu has got somewhat
stricter on what is qualifies as a valid Debian package repository>
?However, I believe I now have something that can be installed from the
Debian package repository at deb.eprints.org without any significant
issues.

I have updated the wiki page for installing EPrints (3.3.16) on
Debian/Ubuntu to reflect this:

https://wiki.eprints.org/w/Installing_EPrints_3_via_apt_(Debian/Ubuntu)

There are a couple of issues that should be noted for Ubuntu 18.04. ?I
have documented the restricted access to MySQL on the wiki page above.
?The other issue I detected, I have not referenced, namely that pdftk
is no longer a Deb package in Ubuntu 18.04 and therefore has been
removed as an EPrints dependency. ?My colleague and I have checked
through and believe this is only required for coversheets which EPrints
does not install by default. ?I would recommend following the
instructions below if you want to enable coversheets on your
repository. ?

https://wiki.eprints.org/w/Coversheets

PDFBox, which very much looks like it is an evolution of pdftk, in my
opinion, is far superior to both pdftk and GhostScript for coversheets.

It would be great if others have a chance to follow my instructions for
installing EPrints (as a Deb package from deb.eprints.org) and report
any issues. ?I have only had chance to do some basic testing so far.

Regards

David Newman
P.S. I have just noted an issue with running /etc/init.d/epindexer to
start the EPrints Indexer. ?You need to use APT to also
install?libconfig-general-perl. ?This does not affect starting the
Indexer from the admin menu in the web interface.